Open CASCADE Technology: Extrema_EPCOfELPCOfLocateExtPC2d Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Extrema_EPCOfELPCOfLocateExtPC2d Class Reference

`#include <Extrema_EPCOfELPCOfLocateExtPC2d.hxx>`

## Public Member Functions
| Extrema_EPCOfELPCOfLocateExtPC2d ()
| Extrema_EPCOfELPCOfLocateExtPC2d (const gp_Pnt2d &P, const Adaptor2d_Curve2d &C, const Standard_Integer NbU, const Standard_Real TolU, const Standard_Real TolF)
| Extrema_EPCOfELPCOfLocateExtPC2d (const gp_Pnt2d &P, const Adaptor2d_Curve2d &C, const Standard_Integer NbU, const Standard_Real Umin, const Standard_Real Usup, const Standard_Real TolU, const Standard_Real TolF)
void | Initialize (const Adaptor2d_Curve2d &C, const Standard_Integer NbU, const Standard_Real TolU, const Standard_Real TolF)
void | Initialize (const Adaptor2d_Curve2d &C, const Standard_Integer NbU, const Standard_Real Umin, const Standard_Real Usup, const Standard_Real TolU, const Standard_Real TolF)
void | Initialize (const Adaptor2d_Curve2d &C)
void | Initialize (const Standard_Integer NbU, const Standard_Real Umin, const Standard_Real Usup, const Standard_Real TolU, const Standard_Real TolF)
void | Perform (const gp_Pnt2d &P)
Standard_Boolean | IsDone () const
Standard_Integer | NbExt () const
Standard_Real | SquareDistance (const Standard_Integer N) const
Standard_Boolean | IsMin (const Standard_Integer N) const
const Extrema_POnCurv2d & | Point (const Standard_Integer N) const

## Constructor & Destructor Documentation

Extrema_EPCOfELPCOfLocateExtPC2d::Extrema_EPCOfELPCOfLocateExtPC2d | ( |  | ) |

Extrema_EPCOfELPCOfLocateExtPC2d::Extrema_EPCOfELPCOfLocateExtPC2d | ( | const gp_Pnt2d & | P,
|  | const Adaptor2d_Curve2d & | C,
|  | const Standard_Integer | NbU,
|  | const Standard_Real | TolU,
|  | const Standard_Real | TolF
| ) |  |

Extrema_EPCOfELPCOfLocateExtPC2d::Extrema_EPCOfELPCOfLocateExtPC2d | ( | const gp_Pnt2d & | P,
|  | const Adaptor2d_Curve2d & | C,
|  | const Standard_Integer | NbU,
|  | const Standard_Real | Umin,
|  | const Standard_Real | Usup,
|  | const Standard_Real | TolU,
|  | const Standard_Real | TolF
| ) |  |

## Member Function Documentation

void Extrema_EPCOfELPCOfLocateExtPC2d::Initialize | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Integer | NbU,
|  | const Standard_Real | TolU,
|  | const Standard_Real | TolF
| ) |  |

void Extrema_EPCOfELPCOfLocateExtPC2d::Initialize | ( | const Adaptor2d_Curve2d & | C,
|  | const Standard_Integer | NbU,
|  | const Standard_Real | Umin,
|  | const Standard_Real | Usup,
|  | const Standard_Real | TolU,
|  | const Standard_Real | TolF
| ) |  |

void Extrema_EPCOfELPCOfLocateExtPC2d::Initialize | ( | const Adaptor2d_Curve2d & | C | ) |

void Extrema_EPCOfELPCOfLocateExtPC2d::Initialize | ( | const Standard_Integer | NbU,
|  | const Standard_Real | Umin,
|  | const Standard_Real | Usup,
|  | const Standard_Real | TolU,
|  | const Standard_Real | TolF
| ) |  |

Standard_Boolean Extrema_EPCOfELPCOfLocateExtPC2d::IsDone | ( |  | ) | const

Standard_Boolean Extrema_EPCOfELPCOfLocateExtPC2d::IsMin | ( | const Standard_Integer | N | ) | const

Standard_Integer Extrema_EPCOfELPCOfLocateExtPC2d::NbExt | ( |  | ) | const

void Extrema_EPCOfELPCOfLocateExtPC2d::Perform | ( | const gp_Pnt2d & | P | ) |

const Extrema_POnCurv2d& Extrema_EPCOfELPCOfLocateExtPC2d::Point | ( | const Standard_Integer | N | ) | const

Standard_Real Extrema_EPCOfELPCOfLocateExtPC2d::SquareDistance | ( | const Standard_Integer | N | ) | const

The documentation for this class was generated from the following file:

- Extrema_EPCOfELPCOfLocateExtPC2d.hxx